App\Domain\Registry\Model\Tool:
    properties:
        name:
            - NotBlank:
                message: 'registry_tool.name.not_blank'
                groups: ['default']
            - Length:
                max: 255
                groups: ['default']
        type:
            - NotNull:
                message: 'registry_tool.type.not_null'
                groups: ['default']
        manager:
            - Length:
                max: 255
                groups: ['default']
        archival:
            - Valid: ~
        tracking:
            - Valid: ~
        encrypted:
            - Valid: ~
        access_control:
            - Valid: ~
        update:
            - Valid: ~
        backup:
            - Valid: ~
        deletion:
            - Valid: ~
        has_comment:
            - Valid: ~
        other:
            - Valid: ~
        country_type:
            - Valid: ~
